Page 26 of 217 FirstFirst ... 1621222324252627282930313676126 ... LastLast
Results 501 to 520 of 4324
Like Tree19Likes
  1. #501  
    So EU Pre-'s can have the full 2.1.0 without the masque technique and still buy apps, but CDMA Pre-'s will run into the 9.9.9 problem because we used an EU doctor (well, for the most part) and no CDMA 2.1.0 doctor has been released for Pre+'s?
    screwdestiny
    PSN Twitter Last.FM
  2. #502  
    Quote Originally Posted by bluenote View Post
    Can someone answer if I could run the vzw script without having VZW phone service? I have a preplus from ebay with someone else's profile previously used with Verizon so I would be looking to put a new profile on the phone using wireless for now although I may sign up for VZW later.
    You'll have to install WiFi profiles into your phone to be able to do that. I'm currently booting my Verizon Phone with no service into my profile as I type this.
  3. #503  
    Quote Originally Posted by tshile View Post
    would it be possible to get a master list of known bugs/issues with doing this to the different device/carrier combinations?

    my concern is that little things that don't get tested, or are not considered 'important' to some, don't get mentioned and someone like myself winding up having to doctor back.

    ie: with the leaked version you could buy paid apps. my job (which my phone is for) calls for me to use RSS feeds to stay on top of important IT security news (as well as other things. I bought newsroom because, lets face it the free RSS readers apps are not not nearly as awesome as newsroom. To lose the ability to do that, would cause headaches to say the least. I'm aware there are ways around it - I'm just concerned about being prepared to go through the work arounds. Another issue would be alarms not working correctly.

    If there already is a master list please just send me a link

    I know you guys have put in a LOT of work for this, and I thank you very much. Hopefully this is not asking too much, and if it is then by all means please stick to what is most important
    YOUR MILEAGE MAY VARY....

    I am using webOS 2.1.0 on my Sprint Pre with my "regular" user profile. All of my App Store apps have been restored, and I was able to successfully purchase the Homebrew Documentation.

    The steps are:
    1. Disable backups on your Pre/Pre+
    2. Let your Pre/Pre+ delete saved data from your profile.*
    3. Follow the instructions at webos-internals.org for setting up your computer for Meta-Doctor
    4. Follow the instructions for getting novacom/novaterm running on your computer
    5. run: git clone git://git.webos-internals.org/tools/meta-doctor.git on your computer (Linux or OS X)
    6. Make sure your device is connected to your computer
    7. Run the meta-meta script of your choice from meta-doctor's scripts/ directory
    8. After flashing is complete, sign into your profile
    9. Once you've signed in successfully, copy the palm-build-info-unmasqed file from the meta-doctor/ directory on your computer to /etc/palm-build-info on your phone.
    10. Reboot.
    11. Rock out hardcore with webOS 2.1


    *You will lose some data like bookmarks, launcher pages, icon positions, and perhaps some contact info. It's up to each person to decide whether or not recreating info is worth it or not.

    Also, as some have mentioned, there might be issues running the resulting webos-doctor JAR file from a VirtualBox Linux environment. It depends on how your USB sharing is set up. If your Linux VM can't access USB, you'll need to copy the meta-doctor/build/preplus-p101ueude-wr-2.1.0/webosdoctorp101ueude-wr-2.1.0.jar file over to your host environment and run it from there.

    On Edit:Apps in the App Catalog that are marked for "webOS 2 or higher" can't be purchased on devices that have been doctored with the meta-meta scripts. Smarter brains than mine are aware of the situation, and if it can be worked around it will be.
    Last edited by EdCates; 02/23/2011 at 08:54 AM. Reason: Added one more caveat
  4. #504  
    EdCates, can you get Voice Memos in your app catalog? I can't on mine.
    screwdestiny
    PSN Twitter Last.FM
  5. #505  
    Can I use the back-up App and back-up everything what's new and get it, if I doctor again with 2.1?
  6. #506  
    Quote Originally Posted by malpha View Post
    So EU Pre-'s can have the full 2.1.0 without the masque technique and still buy apps, but CDMA Pre-'s will run into the 9.9.9 problem because we used an EU doctor (well, for the most part) and no CDMA 2.1.0 doctor has been released for Pre+'s?
    Which CDMA phones? We have gotten CDMA phones working with the 2.1.0 doctor using the CDMA modem firmware that Palm/HP released for the Verizon Pre2. It works just fine. Any CDMA models that are not yet "scripted" could probably be supported with a little extra work.
  7. #507  
    I just tried by running 1.4.5 on my Verizon Pre Plus. I then ran the script for the Verizon Pre Plus and it worked fine, however, it still won't let me log into my profile "Data Not Restored" error... : /.

    *Edit*: How important is it to "delete profile info"? I don't think I did that before... that might be what's causing my issue. *sigh*. I guess I'll have to re-doctor to 1.4.5, delete my data, then re-doctor to 2.1.0.

    Guess i'll do that in a few hours.

    Also: THANK YOU Rod and Ed for the scripts! They are EXTREMELY efficient and save a LOT of time.
  8. #508  
    Quote Originally Posted by EdCates View Post
    ...
    awesome. thank you.

    quick question, i didn't see anything about grabbing the verizon cmda firmware to fix the hanging up = missed call.

    is that an old issue, or is there an additional step involved in that?
  9. #509  
    Quote Originally Posted by malpha View Post
    EdCates, can you get Voice Memos in your app catalog? I can't on mine.
    Ah, no. That's the other "gotcha," thanks. Apps in the App Catalog that are marked for "webOS 2 or higher" can't be purchased on devices that have been doctored with the meta-meta scripts. Smarter brains than mine are aware of the situation, and if it can be worked around it will be.
  10. #510  
    Quote Originally Posted by EdCates View Post
    Which CDMA phones? We have gotten CDMA phones working with the 2.1.0 doctor using the CDMA modem firmware that Palm/HP released for the Verizon Pre2. It works just fine. Any CDMA models that are not yet "scripted" could probably be supported with a little extra work.
    Well, I mean, i have PDK apps and purchasing working, but 2.0 only apps like Voice Memos I can't get to. But the guy with the German Pre- can see it and his palm.com/profie shows 2.1.0, while ours (mines?) says 1.40.50.

    Ah, no. That's the other "gotcha," thanks. Apps in the App Catalog that are marked for "webOS 2 or higher" can't be purchased on devices that have been doctored with the meta-meta scripts. Smarter brains than mine are aware of the situation, and if it can be worked around it will be.
    Right, so the EU models don't have to masque? Just the CDMA's because we don't have a doctor officially released for us? If you don't know, it's okay, I was just wondering about the technicalities of it.
    screwdestiny
    PSN Twitter Last.FM
  11. #511  
    I'm also trying to doctor my o2 pre- but always get the same error.

    Code:
    make DEVICE=preplus CARRIER=wr REMOVE_MODEL_CHECK=1 AUTO_INSTALL_PREWARE=1 clobber all
    rm -rf build
    [: 3: p101ueude: unexpected operator
    [: 3: 2.1.0: unexpected operator
    make unpack patch pack
    make[1]: Entering directory `/home/zoombirrrsch/meta-doctor'
    mkdir -p downloads
    Please download the correct version of the webOS Doctor .jar file
    and then move it to downloads/webosdoctorp101ueude-wr-2.1.0.jar (i.e. the downloads directory that was just created under the current directory).
    make[1]: *** [downloads/webosdoctorp101ueude-wr-2.1.0.jar] Error 1
    make[1]: Leaving directory `/home/zoombirrrsch/meta-doctor'
    make: *** [all] Error 2
    I downloaded the WebOS Doctor from the original Palm Servers .. so it can't be the wrong version? http://palm.cdnetworks.net/rom/prepl...01ueude-wr.jar
  12. #512  
    Quote Originally Posted by tshile View Post
    awesome. thank you.

    quick question, i didn't see anything about grabbing the verizon cmda firmware to fix the hanging up = missed call.

    is that an old issue, or is there an additional step involved in that?
    It's taken care of by the script.
  13. #513  
    Quote Originally Posted by mahirrr View Post
    Can I use the back-up App and back-up everything what's new and get it, if I doctor again with 2.1?
    After you've transitioned from 1.4.x to 2.1 the Backup App should work normally. It just doesn't seem to be able to make the transition from 1.4.x to 2.1 at this time.
  14. #514  
    Quote Originally Posted by Zoombirrrsch View Post
    I'm also trying to doctor my o2 pre- but always get the same error.

    Code:
    make DEVICE=preplus CARRIER=wr REMOVE_MODEL_CHECK=1 AUTO_INSTALL_PREWARE=1 clobber all
    rm -rf build
    [: 3: p101ueude: unexpected operator
    [: 3: 2.1.0: unexpected operator
    make unpack patch pack
    make[1]: Entering directory `/home/zoombirrrsch/meta-doctor'
    mkdir -p downloads
    Please download the correct version of the webOS Doctor .jar file
    and then move it to downloads/webosdoctorp101ueude-wr-2.1.0.jar (i.e. the downloads directory that was just created under the current directory).
    make[1]: *** [downloads/webosdoctorp101ueude-wr-2.1.0.jar] Error 1
    make[1]: Leaving directory `/home/zoombirrrsch/meta-doctor'
    make: *** [all] Error 2
    I downloaded the WebOS Doctor from the original Palm Servers .. so it can't be the wrong version? http://palm.cdnetworks.net/rom/prepl...01ueude-wr.jar
    Add a "-2.1.0" to the filename before the ".jar". That will fix your problem.
  15. Fuu
    Fuu is offline
    Fuu's Avatar
    Posts
    43 Posts
    #515  
    Quote Originally Posted by mangotrance View Post
    Can you post the link to the doctor you used?Because im allways getting the old one,with the profile issue.
    i used the o2 Pre Plus Version 2.1 from here:
    Webos Doctor Versions - WebOS Internals
    (like everyone else)

    i think the profile issues are caused by some server errors @palm, the doctor hasn't changed at all...
    someone said it has the same MD5 checksum as yesterday.



    Quote Originally Posted by pcworld View Post
    @Fuu:
    Do you have Flash on your Pre Minus?
    NO!
    but I also dont want it, performance WILL suck on Pre- as it will on Pre+
    i even think that with 1GHz kernel it is hopeless.

  16. #516  
    Quote Originally Posted by Fuu View Post
    NO!
    but I also dont want it, performance WILL suck on Pre- as it will on Pre+
    i even think that with 1GHz kernel it is hopeless.

    @ 600mhz it'll run most flash games such as kitty cannon quite well.
  17. #517  
    Now testing the VZW meta-meta script on a Verizon Pre-.
  18. #518  
    Quote Originally Posted by rwhitby View Post
    You'll find a palm-build-info-unmasqed file, which needs to be copied to /etc/palm-build-info on the device and then reboot.



    Good to see the script worked flawlessly for you.

    -- Rod
    Absolutely flawlessly for me, too. (A glowing HP logo is on the screen as I type )

    Monday is payday for me, and a donation will be on its way. This is just great work. Thanks.
  19. #519  
    I'm planning on using rwhitby's AT&t script for the meta-doctor,anyone had an success with that? If so, after doctoring for at&t, do you still need to re-enable the backup app under 1.4.5? Or is that strictly a CDMA issue?
    if things seem to work okay on a spare profile, is it safe to re-doctor and use my main profile?
  20. #520  
    Quote Originally Posted by malpha View Post
    Well, I mean, i have PDK apps and purchasing working, but 2.0 only apps like Voice Memos I can't get to. But the guy with the German Pre- can see it and his palm.com/profie shows 2.1.0, while ours (mines?) says 1.40.50.

    Right, so the EU models don't have to masque? Just the CDMA's because we don't have a doctor officially released for us? If you don't know, it's okay, I was just wondering about the technicalities of it.
    I think the only ones who don't have to masq are the German O2 users. They get to run as 2.1.0 in their profiles because that is now an officially supported device/os version combination (O2 Pre+/2.1.0). Any invalid device/os version combos result in the unusable 9.9.9 profile error. We are masqing pretty much all remaining devices because access to "all-current-apps-except-one" is better than access to "none."

    Now that I think about it, I guess the Verizon folks can get full access even though they're masqed. They just happen to be masqed as "Verizon Pre2/2.0.x." Lucky.

Posting Permissions